<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-primary btn-xy" (click)="nuevo(modalAgencia)">
    <i class="fas fa-plus mr-2"></i>Nuevo
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">
    <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [filterable]="true" [reorderable]="true"
      [filter]="filter" [sortable]="true" [resizable]="true" (selectionChange)="selectedAgencia($event)"
      [pageSize]="pageSize" style="height: 70vh;" [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}">
      <kendo-grid-column field="Agencia" title="Agencia" width="110" [filterable]="false">
      </kendo-grid-column>
      <kendo-grid-column field="anombre" title="Nombre" width="250">
      </kendo-grid-column>
      <kendo-grid-column field="aclasif" title="Clasif." width="80" [filterable]="false">
      </kendo-grid-column>
      <kendo-grid-column field="atop" title="Top" width="80" [filterable]="false">
        <ng-template kendoGridCellTemplate let-dataItem>
          <span *ngIf="dataItem.atop">Si</span>
          <span *ngIf="!dataItem.atop">No</span>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="acontrol" title="Allot." width="80" [filterable]="false">
        <ng-template kendoGridCellTemplate let-dataItem>
          <span *ngIf="dataItem.acontrol">Si</span>
          <span *ngIf="!dataItem.acontrol">No</span>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="estado" title="Estado" width="90" [filterable]="false">
      </kendo-grid-column>
      <kendo-grid-column field="Inactivo" title="Inactivo" width="125">
        <ng-template kendoGridFilterCellTemplate>
          <kendo-switch (valueChange)="switchChange($event)" offLabel="No" [checked]="checked" onLabel="Si">
          </kendo-switch>
        </ng-template>
        <ng-template kendoGridCellTemplate let-dataItem>
          <span *ngIf="dataItem.Inactivo">Si</span>
          <span *ngIf="!dataItem.Inactivo">No</span>
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-command-column width="170" *ngIf="uso">
        <ng-template kendoGridCellTemplate let-dataItem>
          <button class="btn btn-info" (click)="editar(dataItem, modalAgencia)">
            <i class="fas fa-edit mr-2"></i>Editar
          </button>
          <button class="btn btn-danger ml-1" (click)="eliminar(dataItem)">
            <i class="fas fa-trash-alt mr-2"></i>Eliminar
          </button>
        </ng-template>
      </kendo-grid-command-column>
    </kendo-grid>
  </div>
</div>


<!-- modal Comisiones -->
<ng-template #comisionesModal let-c="close" let-d="dimiss" let-modal>
  <div class="modal-header">
    <h6 class="modal-title">Detalle de Comisiones <strong>{{ ngFormMistery.value.Agencia }}</strong></h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="row d-flex justify-content-end" *ngIf="uso">
      <button class="btn btn-primary btn-xy" (click)="nuevoButtons('C')">
        <i class="fas fa-plus mr-2"></i>Nuevo
      </button>
      <button class="btn btn-success btn-xy ml-1" [disabled]="ngFormDetCom.invalid"
        (click)="serviceButtons(ngFormDetCom.value, 'C')">
        <i class="fas fa-save mr-2"></i>Guardar
      </button>
    </div>

    <div class="divider"></div>

    <form [formGroup]="ngFormDetCom">
      <div class="row">
        <div class="form-group col-12 col-sm-4 col-md-2 col-lg-2 col-xl-2">
          <label>Proc.</label>
          <input type="text" formControlName="proc" class="form-control" readonly>
        </div>
        <div class="form-group col-12 col-sm-8 col-md-6 col-lg-5 col-xl-5">
          <label>Tarifa</label>
          <kendo-combobox [data]="dsTarifas" [textField]="'tdesc'" [valueField]="'Tarifa'" [valuePrimitive]="true"
            formControlName="tarifa" class="w-100" [readonly]="methodButtons === 'put'">
          </kendo-combobox>
        </div>
        <div class="form-group col-6 col-sm-6 col-md-4 col-lg-3 col-xl-3">
          <label>T.T.</label>
          <kendo-dropdownlist [data]="dsTT" [textField]="'desc'" [valueField]="'tipo'" formControlName="atipo"
            [valuePrimitive]="true" class="w-100" [readonly]="methodButtons === 'put'">
          </kendo-dropdownlist>
        </div>
        <div class="form-group col-6 col-sm-6 col-md-3 col-lg-2 col-xl-2">
          <label>Porcentaje</label>
          <input type="number" class="form-control" formControlName="amonto">
        </div>
        <div class="form-group row">
          <label class="w-100">Comisión</label>
          <div class="form-check form-check-inline">
            <input class="form-check-input" type="checkbox" id="hab" [(ngModel)]="ngFormDetCom.value.acomision[0]"
              [ngModelOptions]="{standalone: true}">
            <label class="form-check-label" for="hab">Hab.</label>
          </div>
          <div class="form-check form-check-inline">
            <input class="form-check-input" type="checkbox" id="ayb" [(ngModel)]="ngFormDetCom.value.acomision[1]"
              [ngModelOptions]="{standalone: true}">
            <label class="form-check-label" for="ayb">A. y B.</label>
          </div>
          <div class="form-check form-check-inline">
            <input class="form-check-input" type="checkbox" id="otros" [(ngModel)]="ngFormDetCom.value.acomision[2]"
              [ngModelOptions]="{standalone: true}">
            <label class="form-check-label" for="otros">Otros</label>
          </div>
          <div class="form-check form-check-inline">
            <input class="form-check-input" type="checkbox" [(ngModel)]="ngFormDetCom.value.acomision[3]"
              [ngModelOptions]="{standalone: true}" id="imptos">
            <label class="form-check-label" for="imptos">Imptos.</label>
          </div>
        </div>
      </div>
    </form>

    <kendo-grid [data]="gridDataServicios" [selectable]="true" (selectionChange)="selectedComision($event)"
      style="height: 31vh;">
      <div *ngIf="gridDataServicios.length !== 0">
        <kendo-grid-column field="Agencia" title="Agencia" width="260">
        </kendo-grid-column>
        <kendo-grid-column field="tarifa" title="Tarifa" width="260">
        </kendo-grid-column>
        <kendo-grid-column field="atipo" title="T.T." width="260">
        </kendo-grid-column>
        <kendo-grid-command-column width="70" *ngIf="uso">
          <ng-template kendoGridCellTemplate let-dataItem>
            <button class="btn btn-danger" (click)="serviceButtons(dataItem, 'C', 'delete')">
              <i class="fas fa-trash-alt"></i>
            </button>
          </ng-template>
        </kendo-grid-command-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        No se encontraron registros
      </ng-template>
    </kendo-grid>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">
      Cerrar
    </button>
  </div>
</ng-template>


<!-- modal Tarifas -->
<ng-template #tarifasModal let-c="close" let-d="dimiss" let-modal>
  <div class="modal-header">
    <h6 class="modal-title" id="modal-chart">Tarifas</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="row d-flex justify-content-end" *ngIf="uso">
      <button class="btn btn-primary btn-xy" (click)="nuevoButtons('T')">
        <i class="fas fa-plus mr-2"></i>Nuevo
      </button>
      <button class="btn btn-success btn-xy ml-1" (click)="serviceButtons(ngFormTarifas.value, 'T')"
        [disabled]="ngFormTarifas.invalid">
        <i class="fas fa-save mr-2"></i>Guardar
      </button>
    </div>

    <div class="divider"></div>
    <form [formGroup]="ngFormTarifas">
      <div class="row">
        <div class="form-group col-sm-2 col-md-2 col-lg-2 col-xl-2">
          <label>Prov.</label>
          <input type="text" class="form-control" formControlName="prov" readonly>
        </div>
        <div class="form-group col-sm-3 col-md-3 col-lg-2 col-xl-2">
          <label>Código</label>
          <input type="text" class="form-control" formControlName="Agencia" readonly>
        </div>
        <div class="form-group col-sm-6 col-md-6 col-lg-5 col-xl-5">
          <label>Tarifa</label>
          <kendo-combobox [data]="dsTarifas" [textField]="'tdesc'" [valueField]="'Tarifa'" [valuePrimitive]="true"
            formControlName="atarifa" class="w-100" [readonly]="methodButtons === 'put'"
            (selectionChange)="tSelectChanged($event)">
          </kendo-combobox>
        </div>
        <div class="form-group col-sm-4 col-md-4 col-lg-3 col-xl-3">
          <label>T.T.</label>
          <kendo-dropdownlist [data]="dsTT" [textField]="'desc'" [valueField]="'tipo'" formControlName="atipo"
            [valuePrimitive]="true" class="w-100" [readonly]="methodButtons === 'put'">
          </kendo-dropdownlist>
        </div>
      </div>
    </form>
    <kendo-grid [data]="gridDataServicios" [height]="250" [selectable]="true"
      (selectionChange)="selectedTarifa($event)">
      <div *ngIf="gridDataServicios.length !== 0">
        <kendo-grid-column field="prov" title="Prov" width="120">
        </kendo-grid-column>
        <kendo-grid-column field="Agencia" title="Código" width="260">
        </kendo-grid-column>
        <kendo-grid-column field="atarifa" title="Tarifa" width="260">
        </kendo-grid-column>
        <kendo-grid-column field="atipo" title="T.T." width="260">
        </kendo-grid-column>
        <kendo-grid-command-column width="70" *ngIf="uso">
          <ng-template kendoGridCellTemplate let-dataItem>
            <button class="btn btn-danger" (click)="serviceButtons(dataItem, 'T', 'delete')">
              <i class="fas fa-trash-alt"></i>
            </button>
          </ng-template>
        </kendo-grid-command-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        No se encontraron registros
      </ng-template>
    </kendo-grid>
    <kendo-grid [data]="gridDataServiciosDetalles" [height]="150" [selectable]="true">
      <div *ngIf="gridDataServicios.length !== 0">
        <kendo-grid-column field="proc" title="Proc." width="70"></kendo-grid-column>
        <kendo-grid-column field="tdesc" title="Descripción" width="250b"></kendo-grid-column>
        <kendo-grid-column field="tmon" title="Mon." width="80"></kendo-grid-column>
        <kendo-grid-column field="ttfl" title="T.F.L." width="70">
          <ng-template kendoGridCellTemplate let-dataItem>
            <span *ngIf="dataItem.ttfl">Si</span>
            <span *ngIf="!dataItem.ttfl">No</span>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="tprom" title="Prom." width="70">
          <ng-template kendoGridCellTemplate let-dataItem>
            <span *ngIf="dataItem.tprom">Si</span>
            <span *ngIf="!dataItem.tprom">No</span>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="tdesde" title="Desde" width="100"></kendo-grid-column>
        <kendo-grid-column field="thasta" title="Hasta" width="100"></kendo-grid-column>
        <kendo-grid-column field="tgratis" title="Gratis" width="70"></kendo-grid-column>
        <kendo-grid-column field="tnoches" title="Por cada" width="100"></kendo-grid-column>
        <kendo-grid-column field="tminimo" title="Mínimo" width="100"></kendo-grid-column>
        <kendo-grid-column field="tpt" title="Prorratea" width="110">
          <ng-template kendoGridCellTemplate let-dataItem>
            <span *ngIf="dataItem.tprom">Si</span>
            <span *ngIf="!dataItem.tprom">No</span>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="ttarifa" title="Tarifa Cont." width="120"></kendo-grid-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        No se encontraron registros
      </ng-template>
    </kendo-grid>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">
      Cerrar
    </button>
  </div>
</ng-template>


<!-- modal Allotment -->
<ng-template #allotmentsModal let-c="close" let-d="dimiss" let-modal>
  <div class="modal-header">

    <h6 class="modal-title">Allotment <strong>{{ ngFormMistery.value.Agencia }}</strong></h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="row d-flex justify-content-end" *ngIf="uso">
      <button class="btn btn-primary btn-xy" (click)="nuevoButtons('A')">
        <i class="fas fa-plus mr-2"></i>Nuevo
      </button>
      <button class="btn btn-success btn-xy ml-1" [disabled]="ngFormAllot.invalid"
        (click)="serviceButtons(ngFormAllot.value, 'A')">
        <i class="fas fa-save mr-2"></i>Guardar
      </button>
    </div>
    <div class="divider"></div>
    <form [formGroup]="ngFormAllot">
      <div class="row">
        <div class="form-group col-sm-2 col-md-2 col-lg-2 col-xl-2">
          <label>Sec.</label>
          <input type="text" class="form-control" formControlName="msecuencia" readonly>
        </div>
        <div class="form-group col-sm-5 col-md-5 col-lg-4 col-xl-4">
          <label>Tipo Cuarto</label>
          <kendo-combobox [data]="dsTipoCuartos" [textField]="'tdesc'" [valueField]="'tcuarto'" [valuePrimitive]="true"
            formControlName="tcuarto" class="w-100">
          </kendo-combobox>
        </div>
        <div class="form-group col-sm-3 col-md-3 col-lg-2 col-xl-2">
          <label>Fecha Inicio</label>
          <kendo-datepicker formControlName="mfecini" [format]="formatKendo" class="w-100"></kendo-datepicker>
        </div>
        <div class="form-group col-sm-3 col-md-3 col -lg-2 col-xl-2">
          <label>Fecha Fin</label>
          <kendo-datepicker formControlName="mfecter" [format]="formatKendo" class="w-100"></kendo-datepicker>
        </div>
        <div class="form-group col-sm-3 col-md-3 col-lg-2 col-xl-2">
          <label># Ctos.</label>
          <input type="number" class="form-control" formControlName="mnctos">
        </div>
        <div class="form-group col-sm-3 col-md-3 col-lg-2 col-xl-2">
          <label>Cut-Off</label>
          <input type="number" class="form-control" formControlName="mcutoff">
        </div>
        <div class="form-group col-sm-6 col-md-5 col-lg-4 col-xl-4">
          <label>Hotel</label>
          <input type="text" class="form-control" formControlName="mhotel">
        </div>
        <div class="form-group col-sm-6 col-md-5 col-lg-4 col-xl-4">
          <label>Agencia</label>
          <input type="text" class="form-control" formControlName="magencia">
        </div>
        <div class="form-group col-sm-8 col-md-8 col-lg-9 col-xl-9">
          <label>Notas</label>
          <input type="text" class="form-control" formControlName="mnotas">
        </div>
        <div class="form-group col-sm-4 col-md-4 col-lg-3 col-xl-3">
          <label>Usuario</label>
          <input type="text" class="form-control" formControlName="Usuario" readonly>
        </div>
      </div>
    </form>
    <kendo-grid [data]="gridDataServicios" [height]="300" [selectable]="true" [resizable]="true" [reorderable]="true"
      (selectionChange)="selectedAllotment($event)">
      <div *ngIf="gridDataServicios.length !== 0">
        <kendo-grid-column field="Agencia" title="Agencia" width="100">
        </kendo-grid-column>
        <kendo-grid-column field="msecuencia" title="Sec." width="60">
        </kendo-grid-column>
        <kendo-grid-column field="tcuarto" title="Tipo Cto." width="90">
        </kendo-grid-column>
        <kendo-grid-column field="mfecini" title="Fecha Inicio" width="120">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.mfecini | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="mfecter" title="Fecha Terminación" width="120">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.mfecter | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="mnctos" title="# Ctos." width="60">
        </kendo-grid-column>
        <kendo-grid-column field="mcutoff" title="Cut-Off" width="60">
        </kendo-grid-column>
        <kendo-grid-command-column width="70" *ngIf="uso">
          <ng-template kendoGridCellTemplate let-dataItem>
            <button class="btn btn-danger" (click)="serviceButtons(dataItem, 'A', 'delete')">
              <i class="fas fa-trash-alt"></i>
            </button>
          </ng-template>
        </kendo-grid-command-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        No se encontraron registros
      </ng-template>
    </kendo-grid>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">
      Cerrar
    </button>
  </div>
</ng-template>


<!-- Modal Centrales -->
<ng-template #centralesModal let-c="close" let-d="dimiss" let-modal>
  <div class="modal-header">
    <h6 class="modal-title" id="modal-chart">Centrales <strong>{{ ngFormMistery.value.Agencia }}</strong></h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="row d-flex justify-content-end" *ngIf="uso">
      <button class="btn btn-primary btn-xy" (click)="nuevoButtons('E')">
        <i class="fas fa-plus mr-2"></i>Nuevo
      </button>
      <button class="btn btn-success btn-xy ml-1" (click)="serviceButtons(ngFormCentral.value, 'E')"
        [disabled]="ngFormCentral.invalid">
        <i class="fas fa-save mr-2"></i>Guardar
      </button>
    </div>
    <div class="divider"></div>
    <form [formGroup]="ngFormCentral">
      <div class="row">
        <div class="form-group col-12 col-sm-6 col-md-4 col-lg-2 col-xl-2">
          <label class="control-label">Central</label>
          <input type="text" class="form-control form-control-sm" formControlName="adesc"
            [readOnly]="methodButtons === 'put'">
        </div>
      </div>
      <div class="form-group col-sm-8 col-md-8 col-lg-4 col-xl-4">
        <label class="control-label">Dirección</label>
        <input type="text" class="form-control form-control-sm" [(ngModel)]="ngFormCentral.value.adireccion[0]"
          [ngModelOptions]="{standalone: true}">
      </div>
      <div class="form-group col-sm-4 col-md-4 col-lg-2 col-xl-2">
        <label class="control-label">Teléfono 1</label>
        <input type="text" class="form-control form-control-sm" [(ngModel)]="ngFormCentral.value.atelefono[0]"
          [ngModelOptions]="{standalone: true}">
      </div>
      <div class="form-group col-sm-8 col-md-8 col-lg-4 col-xl-4">
        <label class="control-label">Colonia</label>
        <input type="text" class="form-control form-control-sm" [(ngModel)]="ngFormCentral.value.adireccion[1]"
          [ngModelOptions]="{standalone: true}">
      </div>
      <div class="form-group col-sm-4 col-md-4 col-lg-2 col-xl-2">
        <label class="control-label">Teléfono 2</label>
        <input type="text" class="form-control form-control-sm" [(ngModel)]="ngFormCentral.value.atelefono[1]"
          [ngModelOptions]="{standalone: true}">
      </div>
      <div class="form-group col-sm-4 col-md-4 col-lg-2 col-xl-2">
        <label class="control-label">Fax</label>
        <input type="text" class="form-control form-control-sm" formControlName="afax">
      </div>
      <div class="form-group col-sm-4 col-md-4 col-lg-2 col-xl-2">
        <label class="col-sm-1 control-label">Ciudad</label>
        <input type="text" class="form-control form-control-sm" formControlName="aciudad">
      </div>
      <div class="form-group col-sm-4 col-md-4 col-lg-2 col-xl-2">
        <label class="col-sm-1 control-label">Estado</label>
        <div class="input-group">
          <input type="text" class="form-control form-control-sm" formControlName="Estado">
          <span class="input-group-append" *ngIf="uso">
            <button class="btn btn-info" (click)="openModal(modalEstado)">
              <i class="fa fa-search"></i>
            </button>
          </span>
        </div>
      </div>
      <div class="form-group col-sm-4 col-md-4 col-lg-2 col-xl-2">
        <label class="control-label">C.P.</label>
        <input type="text" class="form-control form-control-sm" formControlName="acp">
      </div>
      <div class="row">
        <div class="form-group col-sm-12 col-md-12 col-lg-4 col-xl-4">
          <label class="control-label">E-Mail</label>
          <input type="text" class="form-control form-control-sm" formControlName="aemail">
        </div>
      </div>
    </form>
    <kendo-grid [data]="gridDataServicios" [height]="250" [selectable]="true"
      (selectionChange)="selectedCentrales($event)">
      <div *ngIf="gridDataServicios.length !== 0">
        <kendo-grid-column field="Agencia" title="Agencia" width="120">
        </kendo-grid-column>
        <kendo-grid-column field="adesc" title="Central" width="260">
        </kendo-grid-column>
        <kendo-grid-command-column width="70" *ngIf="uso">
          <ng-template kendoGridCellTemplate let-dataItem>
            <button class="btn btn-danger" (click)="serviceButtons(dataItem, 'E', 'delete')">
              <i class="fas fa-trash-alt"></i>
            </button>
          </ng-template>
        </kendo-grid-command-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        No se encontraron registros
      </ng-template>
    </kendo-grid>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">
      Cerrar
    </button>
  </div>
</ng-template>


<!-- Modal Observaciones -->

<ng-template #observacionesModal let-c="close" let-d="dimiss" let-modal>
  <div class="modal-header">
    <h6 class="modal-title" id="modal-chart">Observaciones <strong>{{ ngFormMistery.value.Agencia }}</strong></h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="row d-flex justify-content-end" *ngIf="uso">
      <button class="btn btn-primary btn-xy" (click)="nuevoButtons('O')">
        <i class="fas fa-plus mr-2"></i>Nuevo
      </button>
      <button class="btn btn-success btn-xy ml-1" [disabled]="ngFormObserv.invalid"
        (click)="serviceButtons(ngFormObserv.value, 'O')">
        <i class="fas fa-save mr-2"></i>Guardar
      </button>
    </div>
    <div class="divider"></div>
    <form [formGroup]="ngFormObserv">
      <div class="row">
        <div class="form-group col-sm-4 col-md-4 col-lg-3 col-xl-3">
          <label>Fecha</label>
          <kendo-datepicker formControlName="afecha" [format]="formatKendo" class="w-100" class="w-100"
            [readonly]="methodButtons === 'put'">
          </kendo-datepicker>
        </div>
      </div>
      <div class="row">
        <div class="form-group col-sm-12 col-md-12 col-lg-12 col-xl-12">
          <label>Observaciones</label>
          <input type="text" class="form-control form-control-sm mb-1" [(ngModel)]="ngFormObserv.value.aobserv[0]"
            [ngModelOptions]="{standalone: true}">
          <input type="text" class="form-control form-control-sm mb-1" [(ngModel)]="ngFormObserv.value.aobserv[1]"
            [ngModelOptions]="{standalone: true}">
          <input type="text" class="form-control form-control-sm mb-1" [(ngModel)]="ngFormObserv.value.aobserv[2]"
            [ngModelOptions]="{standalone: true}">
        </div>
      </div>
    </form>
    <kendo-grid [data]="gridDataServicios" [height]="250" [selectable]="true"
      (selectionChange)="selectedObservaciones($event)">
      <div *ngIf="gridDataServicios.length !== 0">
        <kendo-grid-column field="Agencia" title="Agencia" width="120">
        </kendo-grid-column>
        <kendo-grid-column field="afecha" title="Fecha" width="120">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.afecha | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="aobserv[0]" title="Observaciones">
        </kendo-grid-column>
        <kendo-grid-command-column width="70" *ngIf="uso">
          <ng-template kendoGridCellTemplate let-dataItem>
            <button class="btn btn-danger" (click)="serviceButtons(dataItem, 'O', 'delete')">
              <i class="fas fa-trash-alt"></i>
            </button>
          </ng-template>
        </kendo-grid-command-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        No se encontraron registros
      </ng-template>
    </kendo-grid>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">
      Cerrar
    </button>
  </div>
</ng-template>


<!-- Modal Mistery -->

<ng-template #misteryModal let-c="close" let-d="dimiss" let-modal>
  <div class="modal-header">
    <h6 class="modal-title" id="modal-chart">Mistery Shopper <strong>{{ ngFormMistery.value.Agencia }}</strong></h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="row d-flex justify-content-end" *ngIf="uso">
      <button class="btn btn-primary btn-xy" (click)="nuevoButtons('M')">
        <i class="fas fa-plus mr-2"></i>Nuevo
      </button>
      <button class="btn btn-success btn-xy ml-1" [disabled]="ngFormMistery.invalid"
        (click)="serviceButtons(ngFormMistery.value, 'M')">
        <i class="fas fa-save mr-2"></i>Guardar
      </button>
    </div>
    <div class="divider"></div>
    <form [formGroup]="ngFormMistery">
      <div class="row">
        <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-2">
          <label>Fecha Sol</label>
          <kendo-datepicker formControlName="afecsol" [format]="formatKendo" class="w-100"></kendo-datepicker>
        </div>
        <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2 col-xl-2">
          <label>Base</label>
          <input type="text" class="form-control" formControlName="abase">
        </div>
        <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2 col-xl-2">
          <label>Estancia</label>
          <input type="text" class="form-control" formControlName="aestancia">
        </div>
        <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2 col-xl-2">
          <label>Gateway</label>
          <input type="text" class="form-control" formControlName="agateway">
        </div>
        <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2 col-xl-2">
          <label>Periodo</label>
          <input type="text" class="form-control" formControlName="aperiodo">
        </div>
        <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2 col-xl-2">
          <label>Persona</label>
          <input type="text" class="form-control" formControlName="apersona">
        </div>
      </div>
      <div class="row">
        <div class="form-group col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
          <label>Ofertas</label>
          <input type="text" class="form-control form-control-sm mb-1" [(ngModel)]="ngFormMistery.value.aofertas[0]"
            [ngModelOptions]="{standalone: true}">
          <input type="text" class="form-control form-control-sm mb-1" [(ngModel)]="ngFormMistery.value.aofertas[1]"
            [ngModelOptions]="{standalone: true}">
          <input type="text" class="form-control form-control-sm mb-1" [(ngModel)]="ngFormMistery.value.aofertas[2]"
            [ngModelOptions]="{standalone: true}">
        </div>
        <div class="form-group col-12 col-sm-12 col-md-6 col-lg-6 col-xl-6">
          <label>Observaciones</label>
          <input type="text" class="form-control form-control-sm mb-1" [(ngModel)]="ngFormMistery.value.aobserv[0]"
            [ngModelOptions]="{standalone: true}">
          <input type="text" class="form-control form-control-sm mb-1" [(ngModel)]="ngFormMistery.value.aobserv[1]"
            [ngModelOptions]="{standalone: true}">
          <input type="text" class="form-control form-control-sm mb-1" [(ngModel)]="ngFormMistery.value.aobserv[2]"
            [ngModelOptions]="{standalone: true}">
        </div>
      </div>
    </form>
    <kendo-grid [data]="gridDataServicios" [height]="250" [selectable]="true"
      (selectionChange)="selectedMistery($event)">
      <div *ngIf="gridDataServicios.length !== 0">
        <kendo-grid-column field="Agencia" title="Agencia" width="120">
        </kendo-grid-column>
        <kendo-grid-column field="afecsol" title="Fecha Sol" width="130">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.afecsol | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="abase" title="Base" width="280">
        </kendo-grid-column>
        <kendo-grid-column field="aestancia" title="Estancia">
        </kendo-grid-column>
        <kendo-grid-column field="agateway" title="Gateway">
        </kendo-grid-column>
        <kendo-grid-command-column width="70" *ngIf="uso">
          <ng-template kendoGridCellTemplate let-dataItem>
            <button class="btn btn-danger" (click)="serviceButtons(dataItem, 'M', 'delete')">
              <i class="fas fa-trash-alt"></i>
            </button>
          </ng-template>
        </kendo-grid-command-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        No se encontraron registros
      </ng-template>
    </kendo-grid>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">
      Cerrar
    </button>
  </div>
</ng-template>



<!-- Modal Garantia -->
<ng-template #garantiaModal let-c="close" let-d="dimiss" let-modal>
  <div class="modal-header">
    <h6 class="modal-title" id="modal-chart">Noches Garantía <strong>{{ ngFormMistery.value.Agencia }}</strong></h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="row d-flex justify-content-end" *ngIf="uso">
      <button class="btn btn-primary btn-xy" (click)="nuevoButtons('G')">
        <i class="fas fa-plus mr-2"></i>Nuevo
      </button>
      <button class="btn btn-success btn-xy ml-1" [disabled]="ngFormGarantias.invalid"
        (click)="serviceButtons(ngFormGarantias.value, 'G')">
        <i class="fas fa-save mr-2"></i>Guardar
      </button>
    </div>
    <div class="divider"></div>
    <form [formGroup]="ngFormGarantias">
      <div class="row">
        <div class="form-group col-sm-3 col-md-3 col-lg-2 col-xl-2">
          <label>Sec</label>
          <input type="text" class="form-control form-control-sm" formControlName="msecuencia" readonly>
        </div>
        <div class="form-group col-sm-5 col-md-5 col-lg-4 col-xl-4">
          <label>Tipo Cuarto</label>
          <kendo-combobox [data]="dsTipoCuartos" [textField]="'tdesc'" [valueField]="'tcuarto'" [valuePrimitive]="true"
            formControlName="tcuarto" class="w-100">
          </kendo-combobox>
        </div>
        <div class="form-group col-sm-3 col-md-3 col-lg-2 col-xl-2">
          <label>Fecha Inicio</label>
          <kendo-datepicker formControlName="mfecini" [format]="formatKendo" class="w-100"></kendo-datepicker>
        </div>
        <div class="form-group col-sm-3 col-md-3 col-lg-2 col-xl-2">
          <label>Fecha Terminación</label>
          <kendo-datepicker formControlName="mfecter" [format]="formatKendo" class="w-100"></kendo-datepicker>
        </div>
        <div class="form-group col-sm-3 col-md-3 col-lg-2 col-xl-2">
          <label># Ctos.</label>
          <input type="text" class="form-control form-control-sm" formControlName="mnctos">
        </div>
        <div class="form-group col-sm-6 col-md-6 col-lg-8 col-xl-8">
          <label>Notas</label>
          <input type="text" class="form-control form-control-sm" formControlName="mnotas">
        </div>
        <div class="form-group col-sm-3 col-md-3 col-lg-2 col-xl-2">
          <label>Usuario</label>
          <input type="text" class="form-control form-control-sm" formControlName="Usuario" readonly>
        </div>
      </div>
    </form>
    <kendo-grid [data]="gridDataServicios" [height]="250" [selectable]="true"
      (selectionChange)="selectedGarantia($event)">
      <div *ngIf="gridDataServicios.length !== 0">
        <kendo-grid-column field="Agencia" title="Agencia" width="120">
        </kendo-grid-column>
        <kendo-grid-column field="msecuencia" title="Sec." width="50">
        </kendo-grid-column>
        <kendo-grid-column field="tcuarto" title="Tipo Cto." width="120">
        </kendo-grid-column>
        <kendo-grid-column field="mfecini" title="Fecha Inicio" width="100">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.mfecini | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="mfecter" title="Fecha Terminación" width="100">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.mfecter | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="mnctos" title="# Ctos." width="50">
        </kendo-grid-column>
        <kendo-grid-command-column width="70" *ngIf="uso">
          <ng-template kendoGridCellTemplate let-dataItem>
            <button class="btn btn-danger" (click)="serviceButtons(dataItem, 'G', 'delete')">
              <i class="fas fa-trash-alt"></i>
            </button>
          </ng-template>
        </kendo-grid-command-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        No se encontraron registros
      </ng-template>
    </kendo-grid>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">
      Cerrar
    </button>
  </div>
</ng-template>



<ng-template #modalEstado let-c="close" let-d="dimiss" let-modal>
  <div class="modal-header">
    <h6 class="modal-title" id="modal-chart">Selección de Estado</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <app-help-estado (estado)="resultEstado($event); c();"></app-help-estado>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c()">
      Cerrar
    </button>
  </div>
</ng-template>



<ng-template #modalRfc let-c="close" let-d="dimiss" let-modal>
  <div class="modal-header">
    <h6 class="modal-title" id="modal-chart">Selección de R.F.C.</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <app-help-rfc (rfc)="resultRfc($event); c();"></app-help-rfc>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c()">
      Cerrar
    </button>
  </div>
</ng-template>


<ng-template #modalMaestra let-c="close" let-d="dimiss" let-modal>
  <div class="modal-header">
    <h6 class="modal-title" id="modal-chart">Selección de Maestras</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <app-maestras-huespedes (result)="resultMaestra($event); c();"></app-maestras-huespedes>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c()">
      Cerrar
    </button>
  </div>
</ng-template>


<ng-template #modalAgencia let-c="close" let-d="dimiss" let-modal>
  <div class="modal-header">
    <h6 class="modal-title" id="modal-chart">
      <span *ngIf="flagNuevo">Nueva Agencia</span>
      <span *ngIf="!flagNuevo">Editar Agencia</span>
    </h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>

  <div class="modal-body">

    <div class="row d-flex justify-content-end mb-2" *ngIf="!flagNuevo">
      <button class="btn btn-secondary btn-xy ml-1 mt-1" (click)="openApp(comisionesModal, 'C')">
        Det. Com.
      </button>
      <button class="btn btn-secondary btn-xy ml-1 mt-1" (click)="openApp(tarifasModal, 'T')">
        Tarifas
      </button>
      <button class="btn btn-secondary btn-xy ml-1 mt-1" (click)="openApp(allotmentsModal, 'A')">
        Allotment
      </button>
      <button class="btn btn-secondary btn-xy ml-1 mt-1" (click)="openApp(centralesModal, 'E')">
        Centrales
      </button>
      <button class="btn btn-secondary btn-xy ml-1 mt-1" (click)="openApp(observacionesModal, 'O')">
        Observac
      </button>
      <button class="btn btn-secondary btn-xy ml-1 mt-1" (click)="openApp(misteryModal, 'M')">
        Mistery
      </button>
      <button class="btn btn-secondary btn-xy ml-1 mt-1" (click)="openApp(garantiaModal, 'G')">
        Garantías
      </button>
    </div>
    <form [formGroup]="ngForm">
      <mat-horizontal-stepper linear #stepper>
        <mat-step [label]="'Datos Principales'">
          <div class="row">
            <div class="form-group col-4 col-sm-4 col-md-3 col-lg-3 col-xl-2">
              <label>Agencia</label>
              <input type="text" class="form-control" formControlName="Agencia" appFocus [readOnly]="!flagNuevo">
            </div>
            <div class="form-group col-8 col-sm-8 col-md-5 col-lg-4 col-xl-4">
              <label>Nombre</label>
              <input class="form-control" type="text" formControlName="anombre">
            </div>
            <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-3">
              <label>Dirección</label>
              <input type="text" class="form-control" formControlName="adireccion1">
            </div>
            <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-3">
              <label>Colonia</label>
              <input type="text" class="form-control" formControlName="adireccion2">
            </div>
            <div class="form-group col-sm-4 col-md-2 col-lg-2 col-xl-2">
              <label>Ciudad</label>
              <input class="form-control" type="text" formControlName="aciudad">
            </div>
            <div class="form-group col-sm-4 col-md-2 col-lg-2 col-xl-2">
              <label>Estado</label>
              <div class="input-group">
                <input type="text" class="form-control" formControlName="estado">
                <span class="input-group-append" *ngIf="uso">
                  <button class="btn btn-info" (click)="openModal(modalEstado)">
                    <i class="fa fa-search"></i>
                  </button>
                </span>
              </div>
            </div>
            <div class="form-group col-sm-4 col-md-2 col-lg-2 col-xl-2">
              <label>C.P.</label>
              <input class="form-control" type="number" formControlName="acp">
            </div>
            <div class="form-group col-sm-4 col-md-2 col-lg-2 col-xl-2">
              <label>Teléfono 1</label>
              <input class="form-control" type="text" formControlName="atelefono1">
            </div>
            <div class="form-group col-sm-4 col-md-2 col-lg-2 col-xl-2">
              <label>Teléfono 2</label>
              <input class="form-control" type="text" formControlName="atelefono2">
            </div>
            <div class="form-group col-sm-4 col-md-2 col-lg-2 col-xl-2">
              <label>Fax</label>
              <input class="form-control" type="text" formControlName="afax">
            </div>
            <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-3">
              <label>E-Mail</label>
              <input class="form-control" type="text" formControlName="aemail">
            </div>
            <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-3">
              <label>R.F.C.</label>
              <div class="input-group">
                <input type="text" class="form-control" formControlName="rfc">
                <span class="input-group-append" *ngIf="uso">
                  <button (click)="openModal(modalRfc)" class="btn btn-info">
                    <i class="fa fa-search"></i>
                  </button>
                </span>
              </div>
            </div>
            <div class="form-group col-5 col-sm-4 col-md-4 col-lg-3 col-xl-3">
              <label>Condiciones de Crédito</label>
              <kendo-combobox formControlName="atipo" [data]="dsCondCredito" [textField]="'atdesc'"
                [valueField]="'atipo'" [valuePrimitive]="true" class="w-100">
              </kendo-combobox>
            </div>

            <div class="form-group col-3 col-sm-2 col-md-2 col-lg-1 col-xl-1">
              <label class="w-100">Top</label>
              <kendo-switch formControlName="atop"></kendo-switch>
            </div>
            <div class="form-group col-3 col-sm-3 col-md-2 col-lg-2 col-xl-2">
              <label class="w-100">Allotment</label>
              <kendo-switch formControlName="acontrol"></kendo-switch>
            </div>
            <div class="form-group col-6 col-sm-5 col-md-5 col-lg-4 col-xl-4">
              <label>Clasificación</label>
              <kendo-combobox formControlName="aclasif" [data]="dsClasif" [textField]="'adesc'" [valueField]="'Clasif'"
                [valuePrimitive]="true" class="w-100">
              </kendo-combobox>
            </div>
            <div class="form-group col-6 col-sm-5 col-md-5 col-lg-4 col-xl-4">
              <label>Segmento</label>
              <kendo-combobox formControlName="segmento" [data]="dsSegmentos" [textField]="'sdesc'"
                [valueField]="'Segmento'" [valuePrimitive]="true" class="w-100">
              </kendo-combobox>
            </div>
            <div class="form-group col-6 col-sm-5 col-md-5 col-lg-4 col-xl-4">
              <label>Tipo Reservación</label>
              <kendo-combobox formControlName="treser" [data]="dsTipoHuesped" [textField]="'tdesc'"
                [valueField]="'treser'" [valuePrimitive]="true" class="w-100">
              </kendo-combobox>
            </div>
            <div class="form-group col-6 col-sm-5 col-md-5 col-lg-4 col-xl-4">
              <label>Forma de Pago</label>
              <kendo-combobox [data]="dsFormasPago" formControlName="afp" [textField]="'cdesc'" [valueField]="'Codigo'"
                [valuePrimitive]="true" class="w-100">
              </kendo-combobox>
            </div>
            <div class="form-group col-6 col-sm-5 col-md-5 col-lg-4 col-xl-4">
              <label>Origen</label>
              <kendo-combobox formControlName="origen" [data]="dsOrigenes" [textField]="'odesc'" [valueField]="'Origen'"
                [valuePrimitive]="true" class="w-100">
              </kendo-combobox>
            </div>
            <div class="form-group col-6 col-sm-4 col-md-3 col-lg-2 col-xl-2">
              <label>IATA</label>
              <input class="form-control" type="text" formControlName="aiata">
            </div>
            <div class="form-group col-6 col-sm-4 col-md-4 col-lg-3 col-xl-3">
              <label>Sucursal</label>
              <kendo-combobox formControlName="sucursal" [data]="dsSucursales" [textField]="'cDesc'"
                [valueField]="'Sucursal'" [valuePrimitive]="true" class="w-100">
              </kendo-combobox>
            </div>
            <div class="form-group col-4 col-sm-4 col-md-3 col-lg-3 col-xl-2">
              <label>Cobranza</label>
              <input class="form-control" type="text" formControlName="cobranza">
            </div>
            <div class="form-group col-4 col-sm-4 col-md-3 col-lg-3 col-xl-2">
              <label>Factura</label>
              <input class="form-control" type="text" formControlName="afact">
            </div>
            <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-2">
              <label class="w-100">Refacturar</label>
              <kendo-switch formControlName="arfact"></kendo-switch>
            </div>
            <div class="form-group col-4 col-sm-4 col-md-3 col-lg-3 col-xl-2">
              <label>Forma Fact.</label>
              <input class="form-control" type="text" maxlength="1">
            </div>
            <div class="form-group col-6 col-sm-5 col-md-5 col-lg-4 col-xl-4">
              <label>Vendedor</label>
              <kendo-combobox formControlName="Vendedor" [data]="dsVendedores" [textField]="'vnombre'"
                [valueField]="'Vendedor'" [valuePrimitive]="true" class="w-100">
              </kendo-combobox>
            </div>
            <div class="form-group col-5 col-sm-4 col-md-4 col-lg-3 col-xl-3">
              <label>Maestra</label>
              <div class="input-group">
                <input type="text" class="form-control" formControlName="Maestra">
                <span class="input-group-append" *ngIf="uso">
                  <button (click)="openModal(modalMaestra)" class="btn btn-info">
                    <i class="fa fa-search"></i>
                  </button>
                </span>
              </div>
            </div>
            <div class="form-group col-8 col-sm-7 col-md-7 col-lg-6 col-xl-6">
              <label>Notas</label>
              <input class="form-control" type="text" formControlName="anotas">
            </div>
            <div class="form-group col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2" *ngIf="!flagNuevo">
              <label>Usuario</label>
              <input class="form-control" type="text" formControlName="Usuario" readonly>
            </div>
            <div class="form-group col-4 col-sm-3 col-md-3 col-lg-2 col-xl-1" *ngIf="!flagNuevo">
              <label class="w-100">Inactivo</label>
              <kendo-switch formControlName="Inactivo"></kendo-switch>
            </div>
          </div>
        </mat-step>
        <mat-step [label]="'Contactos'">
          <div class="row">
            <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-4">
              <label>Contactos</label>
              <input type="text" class="form-control form-control-sm" formControlName="acontacto1">
            </div>
            <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-4">
              <label>Puestos</label>
              <input type="text" class="form-control form-control-sm" formControlName="apuesto1">
            </div>
            <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-4">
              <label>Emails</label>
              <input type="text" class="form-control form-control-sm" formControlName="aemc1">
            </div>
          </div>
          <div class="row">
            <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-4">
              <input type="text" class="form-control form-control-sm" formControlName="acontacto2">
            </div>
            <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-4">
              <input type="text" class="form-control form-control-sm" formControlName="apuesto2">
            </div>
            <div class="form-group col-sm-4 col-md-4 col-lg- 4 col-xl-4">
              <input type="text" class="form-control form-control-sm" formControlName="aemc2">
            </div>
          </div>
          <div class="row">
            <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-4">
              <input type="text" class="form-control form-control-sm" formControlName="acontacto3">
            </div>
            <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-4">
              <input type="text" class="form-control form-control-sm" formControlName="apuesto3">
            </div>
            <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-4">
              <input type="text" class="form-control form-control-sm" formControlName="aemc3">
            </div>
          </div>
          <div class="row">
            <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-4">
              <input type="text" class="form-control form-control-sm" formControlName="acontacto4">
            </div>
            <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-4">
              <input type="text" class="form-control form-control-sm" formControlName="apuesto4">
            </div>
            <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-4">
              <input type="text" class="form-control form-control-sm" formControlName="aemc4">
            </div>
          </div>
          <div class="row">
            <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-4">
              <input type="text" class="form-control form-control-sm" formControlName="acontacto5">
            </div>
            <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-4">
              <input type="text" class="form-control form-control-sm" formControlName="apuesto5">
            </div>
            <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-4">
              <input type="text" class="form-control form-control-sm" formControlName="aemc5">
            </div>
          </div>
          <div class="row">
            <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-4">
              <input type="text" class="form-control form-control-sm" formControlName="acontacto6">
            </div>
            <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-4">
              <input type="text" class="form-control form-control-sm" formControlName="apuesto6">
            </div>
            <div class="form-group col-sm-4 col-md-4 col-lg-4 col-xl-4">
              <input type="text" class="form-control form-control-sm" formControlName="aemc6">
            </div>
          </div>
        </mat-step>
      </mat-horizontal-stepper>
    </form>
  </div>

  <div class="modal-footer">
    <button class="btn btn-success mr-1" [disabled]="ngForm.invalid" (click)="guardar(ngForm.value)">
      <i class="fas fa-save mr-2"></i>Guardar
    </button>
    <button class="btn btn-secondary" (click)="c('Close click')">
      Cerrar
    </button>
  </div>
</ng-template>